﻿
namespace Songhay.Office2010.Word
{
    using Songhay.Models;

    /// <summary>
    /// Defines a control interaction with the Ribbon
    /// </summary>
    public class RibbonControlMessage : IControlInteractionMessage
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="RibbonControlMessage"/> class.
        /// </summary>
        public RibbonControlMessage() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="RibbonControlMessage"/> class.
        /// </summary>
        /// <param name="id">The id.</param>
        /// <param name="Tag">The tag.</param>
        public RibbonControlMessage(string id, string Tag)
        {
            this.ControlId = id;
            this.ControlTag = Tag;
        }

        #region IControlInteractionMessage Members

        /// <summary>
        /// Gets or sets the control value.
        /// </summary>
        /// <value>The control value.</value>
        public object ControlValue { get; set; }

        /// <summary>
        /// Gets or sets the control id.
        /// </summary>
        /// <value>The control id.</value>
        public string ControlId { get; set; }

        /// <summary>
        /// Gets or sets the control tag.
        /// </summary>
        /// <value>The control tag.</value>
        public string ControlTag { get; set; }

        #endregion
    }
}
