﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Songhay.OpenXml.Models
{
    /// <summary>
    /// Defines settings for HTML conversions
    /// with <see cref="SonghayHtmlConverter"/>.
    /// </summary>
    public class SonghayHtmlConverterSettings
    {
        /// <summary>
        /// The title element inner text of the HTML page.
        /// </summary>
        public string PageTitle;

        /// <summary>
        /// A conventional prefix to use
        /// with the CSS declared in <see cref="SonghaySonghayHtmlConverterSettings.Css"/>
        /// </summary>
        public string CssClassPrefix;

        /// <summary>
        /// A string of CSS declarations.
        /// </summary>
        public string Css;

        /// <summary>
        /// This feature is not supported and is ignored.
        /// </summary>
        public bool ConvertFormatting;

        /// <summary>
        /// When <c>true</c>, use the internal entity map
        /// to flatten glyphs into HTML entities.
        /// </summary>
        /// <remarks>
        /// Setting this to <c>true</c> will disable UTF-8 formatting.
        /// </remarks>
        public bool UseEntityMap;
    }
}
