﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.Composition;
using System.ComponentModel.Composition.Hosting;

namespace Songhay.OpenXml
{
    /// <summary>
    /// Static members for Open XML.
    /// </summary>
    public static partial class OpenXmlUtility
    {
        /// <summary>
        /// Composes the transformations.
        /// </summary>
        /// <param name="container">The MEF container.</param>
        public static void ComposeTransformations(CompositionContainer container)
        {
            if(container == null)
                throw new ArgumentNullException("container", "The MEF container is null");

            container.ComposeParts(OpenXmlUtility.Transformations);
        }
    }
}
