﻿using System.Xml.Linq;

namespace Songhay.OpenXml
{
    /// <summary>
    /// Atomizes selected XHTML elements and attributes.
    /// </summary>
    public static class SonghayXhtml
    {
        /// <summary>
        /// XHTML namespace.
        /// </summary>
        public static readonly XNamespace xhtml = "http://www.w3.org/1999/xhtml";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName a = xhtml + "a";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName acronym = xhtml + "acronym";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName b = xhtml + "b";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName blockquote = xhtml + "blockquote";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName body = xhtml + "body";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName br = xhtml + "br";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName cite = xhtml + "cite";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName code = xhtml + "code";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName dfn = xhtml + "dfn";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName div = xhtml + "div";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName em = xhtml + "em";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName h1 = xhtml + "h1";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName h2 = xhtml + "h2";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName head = xhtml + "head";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName html = xhtml + "html";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName img = xhtml + "img";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName kbd = xhtml + "kbd";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName li = xhtml + "li";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName meta = xhtml + "meta";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName ol = xhtml + "ol";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName p = xhtml + "p";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName pre = xhtml + "pre";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName samp = xhtml + "samp";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName span = xhtml + "span";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName strong = xhtml + "strong";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName style = xhtml + "style";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName sub = xhtml + "sub";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName sup = xhtml + "sup";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName table = xhtml + "table";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName td = xhtml + "td";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName title = xhtml + "title";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName tr = xhtml + "tr";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName tt = xhtml + "tt";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName ul = xhtml + "ul";
        /// <summary>
        /// XHTML element.
        /// </summary>
        public static readonly XName var = xhtml + "var";

        public static readonly XName @class = "class";
        public static readonly XName alt = "alt";
        public static readonly XName border = "border";
        public static readonly XName content = "content";
        public static readonly XName descr = "descr";
        public static readonly XName height = "height";
        public static readonly XName href = "href";
        public static readonly XName http_equiv = "http-equiv";
        public static readonly XName id = "id";
        public static readonly XName name = "name";
        public static readonly XName src = "src";
        public static readonly XName style_attr = "style";
        public static readonly XName title_attr = "title";
        public static readonly XName width = "width";
    }
}
